> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/getting-started/index.md).

# Xibo User Manual

Welcome to the Xibo User Manual. Whether you are a first time user or a user who wants to delve a bit deeper, the User Manual will help you maximise the full potential of all that Xibo has to offer.

## First Time User

* Enter the web address **(URL)** of your CMS.
* Use the **Username** and **Password** provided to you.
* Click **Login**.

We recommend changing the **Password** after first log in from the **User Profile** located in the top right of the CMS:

* Click **Edit Profile** and enter your current Password.
* Enter a **New Password** and repeat in the **Retype New Password** field.
* Click to **Save**.

Here you can also set your email address to ensure that notifications, password reminders etc. can be sent.

The **User Profile** has a number of **Preferences** that can be set as well as a link to **Reshow welcome** at anytime.

### Strengthen login security with Two Factor Authentication

Configure **Two Factor Authentication** options for either a code to be sent via **email** or enter the code as shown via the **Google Authenticator** app.

Once enabled and saved, you will need to generate **Recovery Codes** to be used if access the email or Google Authenticator app is lost:

* Click on **Generate**.
* **Copy** the codes and store them in a safe place like Password Manager.
* Click **Save** to make the codes active.

If you need to view the generated codes at anytime, click on **Show**.

### Notifications

User created messages and system events will be shown as **Notifications**, accessed from clicking the alarm bell icon located next to the **User Profile**.

To add a Notification, click on **Notification Centre** and select **Add Notification** and complete the form fields.

## Showing content on Displays

* If you have image and video content created outside of the \[\[PRODUCTNAME]] CMS, follow the guidance in the **Getting Started** section to start uploading and scheduling content to your Displays.
* If you are going to create your content using the \[\[PRODUCTNAME]] CMS, begin with the **Layouts** section to start creating your own Layout designs either by modifying pre-designed **Templates** or by starting from a blank canvas.

If you have yet to create a **Display** in the CMS, take a look at the **Displays** section to **Connect** and **Authorise** Displays to start showing content.

## FAQs

***Are training materials available for a new user?***

We have a selection of videos which complement our user documentation, more information is available from our [Training](https://xibosignage.com/training) page.

***I cannot retrieve my recovery codes, what should I do?***

If a User no longer has access to their email address/generated codes, an Administrator can reset these from the User grid. Once reset, take the steps to enable from the User Profile.

***What are My Applications from the User Profile?***

These are 3rd party applications that a User has authorised to act on their behalf within the CMS. An Administrator can add and configure Applications from the Administration section of the main CMS.

***I cannot see the Notification Drawer, to view or create?***

Notifications are enabled by an Administrator for a User using Features, tick to enable options for the appropriate access. Please ensure that a Sending Email address has been included on the Network tab from the Settings page, under the Administration section of the main CMS menu.

***What does the interrupt option do for Notifications?***

Using this option will automatically redirect Users to a page to view the notification in full. Please ensure that the Enable Email Alerts option has been enabled from the Maintenance tab from the Settings page, under the Administration section of the main CMS menu.

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

{% content-ref url="/pages/uaWBSfMNEVm35oxtBGlb" %}
[Using Templates](/layouts/layouts_editor_using_templates.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/getting-started/index.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
